﻿.spinning-loader {
    position: relative;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: linear-gradient(#f07e6e, #ffffff, #8A92A6);
    animation: animate 1.2s linear infinite;
}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.spinning-loader span {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: linear-gradient(#f07e6e, #ffffff, #8A92A6);
}

    .spinning-loader span:nth-child(1) {
        filter: blur(5px);
    }

    .spinning-loader span:nth-child(2) {
        filter: blur(10px);
    }

    .spinning-loader span:nth-child(3) {
        filter: blur(25px);
    }

    .spinning-loader span:nth-child(4) {
        filter: blur(50px);
    }

.spinning-loader:after {
    content: '';
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    bottom: 10px;
    background: #f1f1f1;
    border: solid #f1f1f1 10px;
    border-radius: 50%;
}

.custom-loader {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .15);
    backdrop-filter: blur(4px);
    position: fixed;
    /*    top: 0;
    left: 0;*/
    z-index: 9999999;
    justify-content: center;
    display: flex;
    opacity: 1;
    /*    -webkit-transition: width 0.1s, height 0.1s, top 0.2s, left 0.2s;
    -moz-transition: width 0.1s, height 0.1s, top 0.2s, left 0.2s;
    -o-transition: width 0.1s, height 0.1s, top 0.2s, left 0.2s;
    transition: width 0.1s, height 0.1s, top 0.2s, left 0.2s;*/
    -webkit-transition: opacity 0.5s;
    -moz-transition: opacity 0.5s;
    -o-transition: opacity 0.5s;
    transition: opacity 0.5s;
}

.custom-loader-hidden {
    width: 0%;
    height: 0%;
    background-color: rgba(0, 0, 0, .15);
    backdrop-filter: blur(4px);
    position: fixed;
    /*    top: -150px;
    left: -150px;*/
    bottom: 0;
    z-index: 9999999;
    justify-content: center;
    opacity: 0;
    display: flex;
}

.custom-loader:before {
    box-shadow: inset 0 0 2000px rgba(255, 255, 255, .5);
    filter: blur(10px);
}

.centre-loader {
    width: 190px;
    height: 190px;
    margin: 0 auto;
    margin-top: 150px;
    background-color: #212529;
    backdrop-filter: blur(10px);
    /* important part */
    display: grid;
    place-items: center;
    grid-template-areas: "inner-div";
    border-radius: 10%;
}

.loader-inner {
    height: 150px;
    width: 150px;
    /* important part */
    grid-area: inner-div;
}

.overlap-elements {
    margin: 0 auto;
    display: grid;
    place-items: center;
    grid-template-areas: "inner-div";
    border-radius: 10%;
}
